Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
Class TimeDuration

author:
  John Wilson tug@wilson.co.uk

TimeDuration represents time periods expressed in units of hours, minutes, seconds and milliseconds. Whilst we can't say how long a month is without knowing the year and the name of the month, we know how long a second is independant of the date. This is not 100% true for minutes. Minutes can be 59, 60 or 61 seconds long (due to leap seconds) If you ask Duration to convert itself to milliseconds then it will work on the basis of 60 seconds in a minute. If you add or subtract it from a date it will take leap seconds into account

Constructor Summary
`TimeDuration(int hours, int minutes, int seconds, int millis)`
`TimeDuration(int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`From` | `getFrom()`
`Duration` | `minus(Duration rhs)`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`Duration` | `plus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

Constructor Detail

### TimeDuration

    public TimeDuration(int hours, int minutes, int seconds, int millis)

### TimeDuration

    public TimeDuration(int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getFrom

    public From getFrom()

### minus

    public Duration minus(Duration rhs)

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### plus

    public Duration plus(Duration rhs)

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)